App\Entity\Vente:
    type: entity
    table: vente
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        numIncrement:
            type: integer
            nullable: true
        numCommande:
            type: string
            length: 255
            fixed: false
            nullable: true
        totalHT:
            type: float
            nullable: false
        totalTVA:
            type: float
            nullable: false
        totalRemise:
            type: float
            nullable: false
        totalTtc:
            type: float
            nullable: false
        totalAvoir:
            type: float
            nullable: false
        totalBenefice:
            type: float
            nullable: false
        totalBeneficePrevisionnel:
            type: float
            nullable: true
        totalPaye:
            type: float
            nullable: false
        reliquat:
            type: float
            nullable: false
        dateCommande:
            type: datetime
            nullable: true
        dateMiseajour:
            type: datetime
            nullable: true
        estFacturee:
            type: boolean
            nullable: true
        dateFacturation:
            type: datetime
            nullable: true
        numIncrementFacture:
            type: integer
            nullable: true
        numFacture:
            type: string
            length: 255
            fixed: false
            nullable: true
        scanFacture:
            type: string
            length: 255
            fixed: false
            nullable: true
        estExonore:
            type: boolean
            nullable: true
        numIncrementDevis:
            type: integer
            nullable: true
        numDevis:
            type: string
            length: 255
            fixed: false
            nullable: true
        scanDevis:
            type: string
            length: 255
            fixed: false
            nullable: true
        estComptabilise:
            type: boolean
            nullable: true
        dateComptabilisation:
            type: datetime
            nullable: true
        objet:
            type: text
            nullable: true
        notes:
            type: text
            nullable: true
        motscles:
            type: text
            nullable: true
        estInterne:
            type: boolean
            nullable: true
        estValide:
            type: boolean
            nullable: true
    oneToMany:
        vproduits:
            targetEntity: VenteProduit
            mappedBy: vente
            cascade: [persist]
            orphanRemoval: true
        paiements:
            targetEntity: PaiementVente
            mappedBy: vente
            cascade: [persist]
            orphanRemoval: true
        livraisons:
            targetEntity: VenteLivraison
            mappedBy: vente
            cascade: [persist]
            orphanRemoval: true
        retours:
            targetEntity: VenteRetour
            mappedBy: vente
            cascade: [persist]
            orphanRemoval: true
    manyToOne:
        utilisateur:
            targetEntity: Utilisateur
            cascade: {  }
            mappedBy: null
            inversedBy: ventes
            joinColumns:
                utilisateur_id:
                    referencedColumnName: id
            orphanRemoval: false
        client:
            targetEntity: Client
            cascade: {  }
            mappedBy: null
            inversedBy: ventes
            joinColumns:
                client_id:
                    referencedColumnName: id
            orphanRemoval: false
        organisme:
            targetEntity: Organisme
            cascade: {  }
            mappedBy: null
            inversedBy: ventes
            joinColumns:
                vente_id:
                    referencedColumnName: id
            orphanRemoval: false
        reparation:
            targetEntity: Reparation
            cascade: {  }
            mappedBy: null
            inversedBy: ventes
            joinColumns:
                reparation_id:
                    referencedColumnName: id
            orphanRemoval: false
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: ventes
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false
        dossier:
            targetEntity: Dossier
            cascade: {  }
            mappedBy: null
            inversedBy: ventes
            joinColumns:
                dossier_id:
                    referencedColumnName: id
                    nullable: true
                    onDelete: SET NULL
            orphanRemoval: false